
    var DDJs = {

        initBoard : function(id, opts ) {
            JXG.Options.point.strokeWidth = 1;
            JXG.Options.point.strokeColor = "#000000";
            JXG.Options.point.size = 2;
            JXG.Options.point.fillColor = "#666666";

            JXG.Options.line.strokeColor = "#333333";

            JXG.Options.angle.label.strokeColor = "#000000";

            JXG.Options.circle.strokeWidth = 2;
            JXG.Options.circle.strokeColor = "#999999";

            JXG.Options.hatch.strokeColor = "#333333";
            JXG.Options.hatch.majorHeight = 10;

            JXG.Options.angle.strokeColor = "#333333";
            JXG.Options.angle.fillColor = "#aaaaaa";


            opts = $.extend( {boundingbox:[-5,5,5,-5], axis:true, showCopyright: false, showNavigation:false, renderer:'svg', rendererType: 'svg'}, opts );
            return JXG.JSXGraph.initBoard(id, opts);
        },

        createGraphPicture : function(id, func, opts) {
            var board = DDJs.initBoard(id,opts);

            board.create('functiongraph', [func], { strokeWidth: 2 } );

            var svg = new XMLSerializer().serializeToString(board.renderer.svgRoot);
        },

        create1dGraphPicture : function(id, func, opts) {
            var board = DDJs.initBoard(id,opts);

            board.create('axis', [[0,0], [1,0]], {lastArrow: false} );

            func(board);

            var svg = new XMLSerializer().serializeToString(board.renderer.svgRoot);
        },

        updateZoomLevel : function() {
            var zoomLevel = 100;
            var width = $(window).innerWidth();
            var height = $(window).innerHeight();

            if ( width > height ) {
                // Landscape
                var zoomLevel = (width/350*100*0.4).toFixed(3).toString() + "%";
                $('.box').stop().animate({zoom: zoomLevel}, 1000);
            } else {
                // Portrait
                // Calculate zoom level
                var zoomLevel = (width/350*100).toFixed(3).toString() + "%";
                $('.box').stop().animate({zoom: zoomLevel}, 1000);
            }
        }
    }

